(*
** $Id: lualib.h,v 1.25 2002/07/09 18:49:13 roberto Exp $
** Lua standard libraries
** See Copyright Notice in lua.h
*)
(*
** Translated to pascal by Lavergne Thomas
** Bugs report :
**    - thomas.lavergne@laposte.net
**   In french or in english
*)
unit lualib;

interface

uses
  Lua;

const
  LUA_COLIBNAME = 'coroutine';

function lua_baselibopen(L: Plua_State): LongBool; cdecl;

const
  LUA_TABLIBNAME = 'table';

function lua_tablibopen(L: Plua_State): LongBool; cdecl;

const
  LUA_IOLIBNAME = 'io';
  LUA_OSLIBNAME = 'os';

function lua_iolibopen(L: Plua_State): LongBool; cdecl;

const
  LUA_STRLINAME = 'string';

function lua_strlibopen(L: Plua_State): LongBool; cdecl;

const
  LUA_MATHLIBNAME = 'math';

function lua_mathlibopen(L: Plua_State): LongBool; cdecl;

const
  LUA_DBLIBNAME = 'debug';

function lua_dblibopen(L: Plua_State): LongBool; cdecl;

implementation

function lua_baselibopen(L: Plua_State): LongBool; cdecl; external LUA_LIB_NAME;
function lua_tablibopen(L: Plua_State): LongBool; cdecl; external LUA_LIB_NAME;
function lua_iolibopen(L: Plua_State): LongBool; cdecl; external LUA_LIB_NAME;
function lua_strlibopen(L: Plua_State): LongBool; cdecl; external LUA_LIB_NAME;
function lua_mathlibopen(L: Plua_State): LongBool; cdecl; external LUA_LIB_NAME;
function lua_dblibopen(L: Plua_State): LongBool; cdecl; external LUA_LIB_NAME;

end.
