unit unitformpastearray;

(* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version 
 * 1.1 (the "License"); you may not use this file except in compliance with 
 * the License. You may obtain a copy of the License at 
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is the Lightning paste array dialog.
 *
 * The Initial Developer of the Original Code is
 * Tomsoft.
 * Portions created by Tomsoft are Copyright (C) 2009
 * Tomsoft. All Rights Reserved.
 *
 * Contributor(s):
 *   Tommy Sools <tom@sools.com>
 *
 * ***** END LICENSE BLOCK ***** *)

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls;

type
  TformPasteArray = class(TForm)
    groupBoxPasteArray: TGroupBox;
    labelCount: TLabel;
    editCount: TEdit;
    upDownCount: TUpDown;
    buttonHorizontal: TButton;
    buttonCancel: TButton;
    buttonVertical: TButton;
    Label1: TLabel;
    editDistance: TEdit;
    upDownDistance: TUpDown;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  formPasteArray: TformPasteArray;

implementation

{$R *.dfm}

procedure TformPasteArray.FormShow(Sender: TObject);
begin
  editCount.SetFocus();
end;

end.
